aboutsummaryrefslogtreecommitdiffstats
path: root/recipes/gcc/gcc-4.3.3/debian/libjava-debuginfo.dpatch
diff options
context:
space:
mode:
Diffstat (limited to 'recipes/gcc/gcc-4.3.3/debian/libjava-debuginfo.dpatch')
-rw-r--r--recipes/gcc/gcc-4.3.3/debian/libjava-debuginfo.dpatch43
1 files changed, 43 insertions, 0 deletions
diff --git a/recipes/gcc/gcc-4.3.3/debian/libjava-debuginfo.dpatch b/recipes/gcc/gcc-4.3.3/debian/libjava-debuginfo.dpatch
new file mode 100644
index 0000000000..942bbe1f91
--- /dev/null
+++ b/recipes/gcc/gcc-4.3.3/debian/libjava-debuginfo.dpatch
@@ -0,0 +1,43 @@
+#! /bin/sh -e
+
+# DP: Fix java debuginfo breakage.
+
+dir=
+if [ $# -eq 3 -a "$2" = '-d' ]; then
+ pdir="-d $3"
+ dir="$3/"
+elif [ $# -ne 1 ]; then
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+fi
+case "$1" in
+ -patch)
+ patch $pdir -f --no-backup-if-mismatch -p0 < $0
+ ;;
+ -unpatch)
+ patch $pdir -f --no-backup-if-mismatch -R -p0 < $0
+ ;;
+ *)
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+esac
+exit 0
+
+2008-03-06 Andrew Haley <aph@littlepinkcloud.com>
+
+ * jcf-parse.c (give_name_to_class): Call find_sourcefile fo find full
+ pathname of source file.
+
+Index: jcf-parse.c
+===================================================================
+--- gcc/java/jcf-parse.c (revision 131324)
++++ gcc/java/jcf-parse.c (working copy)
+@@ -1208,7 +1208,7 @@
+ #ifdef USE_MAPPED_LOCATION
+ {
+ tree source_name = identifier_subst (class_name, "", '.', '/', ".java");
+- const char *sfname = IDENTIFIER_POINTER (source_name);
++ const char *sfname = find_sourcefile (IDENTIFIER_POINTER (source_name));
+ linemap_add (line_table, LC_ENTER, false, sfname, 0);
+ input_location = linemap_line_start (line_table, 0, 1);
+ file_start_location = input_location;